com.r3corda.node.services.statemachine / StateMachineManager / FiberRequest / ExpectingResponse

# ExpectingResponse

`class ExpectingResponse<R : Any> : FiberRequest`

### Constructors

<init> | `ExpectingResponse(topic: String, destination: MessageRecipients?, sessionIDForSend: Long, sessionIDForReceive: Long, obj: Any?, responseType: Class<R>)`

### Properties

responseType | `val responseType: Class<R>`

### Inherited Properties

destination | `val destination: MessageRecipients?`
obj | `val obj: Any?`
sessionIDForReceive | `val sessionIDForReceive: Long`
sessionIDForSend | `val sessionIDForSend: Long`
stackTraceInCaseOfProblems | `val stackTraceInCaseOfProblems: StackSnapshot`
topic | `val topic: String`